> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lygosapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Gateway



## OpenAPI

````yaml api-reference/openapi.json put /v1/gateway/{gateway_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.lygosapp.com
    description: Production Server
security: []
paths:
  /v1/gateway/{gateway_id}:
    put:
      tags:
        - Gateway
      summary: Update Gateway
      operationId: update_gateway_api_v1_api_gateway__gateway_id__put
      parameters:
        - name: gateway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Gateway Id
        - name: api-key
          in: header
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePaymentGatewaySchemas'
            examples:
              example1:
                summary: Exemple de mise à jour de gateway
                value:
                  amount: 7500
                  shop_name: Mon Magasin Mis à Jour
                  message: Nouveau message de paiement
                  success_url: https://monsite.com/success
                  failure_url: https://monsite.com/failure
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: No API key
          content:
            application/json:
              examples:
                No API Key:
                  summary: No API Key
                  value:
                    detail:
                      message: No API Key.
                      type: NO_API_KEY_PROVIDED
        '404':
          description: Gateway Not Found
          content:
            application/json:
              examples:
                Gateway Not found:
                  summary: Gateway Not found
                  value:
                    detail:
                      message: Payment Gateway Not found
                      type: GATEWAY_NOT_FOUND
                API Key Not found:
                  summary: API Key Not found
                  value:
                    detail:
                      message: API Key not found
                      type: API_KEY_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdatePaymentGatewaySchemas:
      properties:
        amount:
          type: integer
          title: Amount
        shop_name:
          type: string
          title: Shop Name
        message:
          type: string
          title: Message
        success_url:
          type: string
          title: Success Url
        failure_url:
          type: string
          title: Failure Url
      type: object
      title: UpdatePaymentGatewaySchemas
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````